<?
include_once('includes/top.php');
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
  print "<script> alert('Invalid User'); document.location='inde.php' </script>";
  return;
}
?>
<!DOCTYPE html>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Kerala Khadi & Village Industries Board</title>
<link type="text/css" href="jquery/jquery-ui.min.css" rel="stylesheet" />	
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="functions_work_sale.js"></script>
<script type="text/javascript" src="jquery/jquery-1.7.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
<script type="text/javascript" src="jquery/jquery.jqEasyCharCounter.min.js"></script>
<script type="text/javascript">
var count1=1;
var count2=1;
var count3=1;
var pname=[];
var pcode=[];
var pname1=[];
var pcode1=[];
var empname=[];
var ndpcost=[];
$(function(){

$(".partcode").live("keydown.autocomplete",function(){
$partcode = $(this);

$row = $partcode.parent().parent();
$(this).autocomplete({
		source: function( request, response ) {

		$.ajax({
			url: "search5.php",
			dataType: "json",
			data: "key="+$partcode.val(),
			success: function( data ) {
				response( $.map( data, function( item ) {
					
					
					return { 
						label: '<span class="la-code">'+item.partcode+' </span><span class="la-name">'+  item.partname + '</span><span class="la-stok"> '+ item.stock +'</span><span class="la-rate"> '+item.rate +'</span>'    ,
						value: item.partcode,
						name:item.partname,
						tax:item.tax,
						
						stock:item.stock,
						rate:item.rate,
						reduct:item.reduct,
							
						
					}
				}));
			}
		});
	}
	
,
	minLength: 2,
	select: function( event, ui ) {


	
	$row.find('.stok').val(ui.item.stock);
         if($row.find(".itmtyp").val()=='D')
            {
                $row.find('.partname').val(ui.item.name);
                $row.find('.stok').val(ui.item.stock);
                $row.find('.unitprice').val(ui.item.rate);
                $row.find('.tax').val(ui.item.tax);
                $row.find('.itmvl').val(ui.item.reduct);
                $row.find('.qty').focus();
            }
            else
                {
	
			
	$row.find('.partname').val(ui.item.name);
	$row.find('.unitprice').val(ui.item.rate);
	$row.find('.tax').val(ui.item.tax);
	$row.find('.itmvl').val(ui.item.reduct);
	$row.find('.qty').focus();
			
			
	/*log( ui.item ?
	"Selected: " + ui.item.label :
	"Nothing selected, input was " + this.value);
	*/
	 }
        }
	}).data("ui-autocomplete")._renderItem = function (ul, item) {
         return $("<li></li>")
             .data("item.autocomplete", item)
             .append( item.label )
             .appendTo(ul);
     };

					
});




$(".partname").live("keydown.autocomplete",function(){

$partname = $(this);

$row = $partname.parent().parent();
$(this).autocomplete({
		source: function( request, response ) {

		$.ajax({
			url: "search5.php?type=name",
			dataType: "json",
			data: "key="+$partname.val(),
			success: function( data ) {
				response( $.map( data, function( item ) {
					return { 
						label: '<span class="la-code">'+item.partcode+' </span><span class="la-name">'+  item.partname + '</span><span class="la-stok"> '+ item.stock +'</span><span class="la-rate"> '+item.rate +'</span>'    ,
						code: item.partcode,
						value:item.partname,
						tax:item.tax,
						
						stock:item.stock,
						rate:item.rate,
						rate2:item.rate2,
						reduct:item.reduct,	
						
						
					}
	
				}));
			}
		});
	}
	
,
	minLength: 2,
	select: function( event, ui ) {

	$row.find('.partcode').val(ui.item.code);
	$row.find('.stok').val(ui.item.stock);
	$row.find('.unitprice').val(ui.item.rate);
	$row.find('.pur_rate').val(ui.item.rate2);
	$row.find('.tax').val(ui.item.tax);
	$row.find('.itmvl').val(ui.item.reduct);
	$row.find('.qty').focus();
		
	/*log( ui.item ?
	"Selected: " + ui.item.label :
	"Nothing selected, input was " + this.value);
	*/
	 }
	
	}).data("ui-autocomplete")._renderItem = function (ul, item) {
         return $("<li></li>")
             .data("item.autocomplete", item)
             .append( item.label )
             .appendTo(ul);
     };

					
});
});
function sel(id1)
{

   document.getElementById(id1).select();
  
}
function showHint()
{
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","workshop_viewinv1.php", true);
xmlhttp.send();
}



function viewinv()
{
 var str=document.getElementById('inno').value;
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";


if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","workshop_viewinv.php?inno="+str,true);
xmlhttp.send();
}

function showHint1()
{
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","delete_viewinv1.php", true);
xmlhttp.send();
}

function viewinv1(str)
{
document.getElementById("popScroll2").innerHTML="<img src='images/loader.GIF' />";


if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("popScroll2").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","delete_viewinv.php?inno="+str,true);
xmlhttp.send();
}

/** code below for close popup div **/
function close_div(){
   var list = document.getElementsByClassName("pop-up2");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('pop2');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }
function itemclose_div(){
   var list = document.getElementsByClassName("pop-up2");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('pop2');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }




</script>
<style>
#txt{
font-family: Tahoma,Verdana,Geneva,sans-serif !important;
   
background-color: #F2F2F2;

}
</style>
<style>


#mask {
	display: none;
	background:url(images/bgimg1.gif) repeat;
	//background: #000; 
	position: fixed; left: 0; top: 0; 
	z-index: 10;
	width: 100%; height: 100%;
	opacity: 0.8;
	z-index: 999;
}

.login-popup{
		display:none;
	background:white;
	padding: 10px; 	
	border: 2px solid #ddd;
	float: left;
	font-size: 1.2em;
	position: fixed;
	top: 4%; left: 45%;
	z-index: 99999;
	box-shadow: 0px 0px 20px #999;
	-moz-box-shadow: 0px 0px 20px #999; /* Firefox */
    -webkit-box-shadow: 0px 0px 20px #999; /* Safari, Chrome */
	border-radius:3px 3px 3px 3px;
    -moz-border-radius: 3px; /* Firefox */
    -webkit-border-radius: 3px; /* Safari, Chrome */
}
}

img.btn_close {
	float: right; 
	margin: -28px -28px 0 0;
}

fieldset { 
	border:none; 
}

form.signin .textbox label { 
	display:block; 
	padding-bottom:7px; 
}

form.signin .textbox span { 
	display:block;
}

form.signin p, form.signin span { 
	color:white; 
	font-size:11px; 
	line-height:18px;
} 

form.signin .textbox input { 
	background:#666666; 
	border-bottom:1px solid #333;
	border-left:1px solid #000;
	border-right:1px solid #333;
	border-top:1px solid #000;
	color:white; 
	border-radius: 3px 3px 3px 3px;
	-moz-border-radius: 3px;
    -webkit-border-radius: 3px;
	font:13px Arial, Helvetica, sans-serif;
	padding:6px 6px 4px;
	width:200px;
}

form.signin input:-moz-placeholder { color:white; text-shadow:0 0 2px #000; }
form.signin input::-webkit-input-placeholder { color:hwite; text-shadow:0 0 2px #000;  }

.submit button { 
	background: -moz-linear-gradient(center top, #f3f3f3, #dddddd);
	background: -webkit-gradient(linear, left top, left bottom, from(#f3f3f3), to(#dddddd));
	background:  -o-linear-gradient(top, #f3f3f3, #dddddd);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#f3f3f3', EndColorStr='#dddddd');
	border-color:#000; 
	border-width:1px;
	border-radius:4px 4px 4px 4px;
	-moz-border-radius: 4px;
    -webkit-border-radius: 4px;
	color:#333;
	cursor:pointer;
	display:inline-block;
	padding:6px 6px 4px;
	margin-top:10px;
	font:12px; 
	width:100px;
}

.button:hover { background:#ddd; }


.del{
      border: none;
     background: url("images/delete.png") no-repeat scroll 0 0 transparent;
}




.pop-up2 {position:absolute; top:2px; left:50px;padding-left:180px;}
.pop-up2:target {position:static; left:0;}

.popBox2 {
  background:#ffffff;

 
  width:75%;
  min-height:100%;



   z-index:1;

  border:1px solid #3a3a3a;


  -moz-border-radius:12px;
  border-radius:12px;
  -webkit-box-shadow:2px 2px 4px #3a3a3a;
  -moz-box-shadow:2px 2px 4px #3a3a3a;
  box-shadow:2px 2px 4px #3a3a3a;
  opacity:0;
 -webkit-transition: opacity 0.5s ease-in-out;
  -moz-transition: opacity 0.5s ease-in-out;
  -o-transition: opacity 0.5s ease-in-out;
  -ms-transition: opacity 0.5s ease-in-out;
  transition: opacity 0.5s ease-in-out;  
}
:target .popBox2 {position:fixed; opacity:1;}

.popBox2:hover {box-shadow:3px 3px 6px #5a5a5a;}



.lightbox {display:none; text-indent:0em; background:#000; opacity:0.0; width:100%; height:60%; position:fixed; top:0; left:0; bottom:0; right:0;}
:target .lightbox {display:block}



  


/* .popScroll {max-height:99%; overflow-y:scroll;} removed 17/07/2012 */
.popScroll2 {position:absolute; top:2%; left:3%; right:3%; bottom:9%; overflow-y:auto; *overflow-y:scroll; padding-right:0.5em}


</style>

<script type="text/javascript">

$(document).bind('keydown', 'Alt+n',function (e){

if(e.which==83 && e.ctrlKey) {
e.preventDefault()
 $( "#svbttn" ).click();
        return false;
}   
    if(e.which==78 && e.altKey){
	 //alert (e.which);
        shortkey_tblopen();
        return false;
    } 
 
   if(e.which==82 && e.altKey){
	 
         window.location.reload(true);
        return false;
    } 
      
    
});
function myFunction()
	{
		window.location.reload(true);
        	return false;
	}
</script>

<script type="text/javascript">
function shortkey_tblopen()
	{
       	var rowCounts = document.getElementById('myTable').rows.length;
		if(rowCounts<=1)
			{
		          
				document.getElementById('insrowbttn').click(); 
               	}		   					
 		 
 	}

</script>


<script type="text/javascript">
 var count1=0;
 var empname=[];

 var cur=1;
 //var partcode=[];
 var partname=[];
 var unitprice=[];
 var qty=[];
 var tot=[];
 var typ=[];
 var cnt=1;

function insRow(event,i1,id2)
{

var keyCode = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;

var cur_val=i1.value;


switch(keyCode)
{
case 38:
   var row=i1.parentNode.parentNode.rowIndex;
   var col  =i1.parentNode.cellIndex ;
			 
   document.getElementById('myTable').rows[row-1].cells[col].getElementsByTagName("input")[0].focus();
  break;
case 40:
  var row=field.parentNode.parentNode.rowIndex;
  var col  =field.parentNode.cellIndex ;
			 
   document.getElementById('myTable').rows[row+1].cells[col].getElementsByTagName("input")[0].focus();
			
  break;
case 37:
  var row=field.parentNode.parentNode.rowIndex;
  var col  =field.parentNode.cellIndex ;
			 
  document.getElementById('myTable').rows[row].cells[col-1].getElementsByTagName("input")[0].focus();
	
}



if(id2!="insrowbttn")
  {
   var i2=i1.parentNode.parentNode.rowIndex;
   var i3=parseFloat(i2)+parseFloat(1);
   var rowCounts = document.getElementById('myTable').rows.length;
   var rowCounts1= rowCounts-1;
   
  
  }
else
  {
   var i2=0;
   var rowCounts1=0;
  }
//alert(cur);



if(((keyCode == 13) && (i2==rowCounts1))||(cnt==1))
 {
var rowCount = document.getElementById('myTable').rows.length;

var rowcount1=parseFloat(rowCount)+parseFloat(1);
//alert(rowCount);
var x=document.getElementById('myTable').insertRow(rowCount);


if(rowCount>=1)
 {
  document.getElementById('insrowbttn').type='hidden';
 }

var a=x.insertCell(0);
var b1=x.insertCell(1);
var c1=x.insertCell(2);
var d1=x.insertCell(3);
var e1=x.insertCell(4);	

var f1=x.insertCell(5);
var g1=x.insertCell(6);


var h1=x.insertCell(7);

var k;//=this.rowIndex;
var k1;
a.innerHTML=cur;
b1.innerHTML="<input type=text name=partcode[] id=partcode"+cur+"  class='partcode' size=3 autocomplete='off' list='partcodelist' onkeypress='handleEnter(this, event)'>";
c1.innerHTML="<input type=text name=partname[] id=partname"+cur+"  class='partname' size=8  autocomplete='off' list='partlist' onkeypress='handleEnter3(this, event)' >"; 

d1.innerHTML="<input type=text name='qty[]' class='qty' id=qty"+cur+" size=1 onKeyup='qtycheck(this.value,this,this.id)' onKeydown='insRow(event,this,this.id)' onkeypress='handleEnter(this, event)'>";

e1.innerHTML="<input type=text name=unitprice[] readonly id=unitprice"+cur+" size=3 class='unitprice' onfocus='sel(this.id)' onKeydown='return handleEnter(this, event)' onKeyup='unitcal(this.value,this,this.id)'>";
f1.innerHTML="<input type=text id='tot"+cur+"' name=tot[] readonly value='0' size=3 class='tot' onKeydown='return handleEnter(this, event)' onfocus='sel(this.id)' onKeyup='insRow(event,this,this.id)'>";



g1.innerHTML="<input type=text id='ntamt"+cur+"' name=ntamt[] readonly value='0' size=3 class='ntamt'  onKeydown='return handleEnter(this, event)'>";
h1.innerHTML="<input type='button' onClick='delrow(this)' class='del' id=del"+cur+">";
document.getElementById("partcode"+cur).focus();
cur++;
cnt++;
var table = document.getElementById("myTable");
var row = table.rows[index];
console.log(secondRow.id);
}
if(keyCode == 40)
{
return handleEnter(this, event);
}
if(keyCode == 13)
	{
		var tbl = document.getElementById('myTable');
   		var id3=tbl.rows[i3].cells[0].innerHTML;	
		document.getElementById("partcode"+id3).focus();
	} 

}// end function insrow
function newcustomer()
{
document.getElementById("to_new_customerTD").innerHTML=" <input id='to_new_customer' name='cus' style='outline:none;border:1px solid grey; border-style:dotted;width:150px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;'   placeholder='Customer name' type='text'>";

 document.getElementById("to_new_registerTD").innerHTML=" <input id='to_new_register' name='reg' style='outline:none;border:1px solid grey;width:150px; padding-left:7px; font-weight:normal;border-style:dotted; font-family:verdana;font-size:13px;'  placeholder='Customer id' type='text'>"
 
document.getElementById("pmode").value='CASH';
}
function showcustomer()
{

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("to_new_customerTD").innerHTML=xmlhttp.responseText;
    
    }
  }
document.getElementById("pmode").value='CREDIT';
xmlhttp.open("GET","showcus.php",true);
xmlhttp.send();
}

function khadicustomer()
{

if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("to_new_customerTD").innerHTML=xmlhttp.responseText;
    
    }
  }
document.getElementById("pmode").value='CREDIT';

xmlhttp.open("GET","showkhadistf.php",true);
xmlhttp.send();
}


function showregister(str)
{
//var str="hello";
//alert (str);
if (str=="")
  {
  document.getElementById("to_new_registerTD").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
        document.getElementById("strbl").innerHTML=xmlhttp.responseText;
        document.getElementById("to_new_register").value=document.getElementById("reg").value;
        document.getElementById("clsbl").value= document.getElementById("mclbl").value;
        document.getElementById("blamt").value= document.getElementById("mblamt").value;
		document.getElementById("crlimit").value= document.getElementById("mcrlmt").value;
        document.getElementById("disclimit").value= document.getElementById("mdslmt").value;
		alert(document.getElementById("mdsbl").value);
        document.getElementById("dsbl").value= document.getElementById("mdsbl").value;
        document.getElementById("dsvn").value= document.getElementById("mdsbll").value;
		document.getElementById("disavlbl").value= document.getElementById("dscntvl").value;

    }
  }
xmlhttp.open("GET","showreg.php?cname="+str,true);
xmlhttp.send();

}

function showkhadiregister(str)
{
//var str="hello";
//alert (str);
if (str=="")
  {
  document.getElementById("to_new_registerTD").innerHTML="";
  return;
  }
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
        

		document.getElementById("strbl").innerHTML=xmlhttp.responseText;
        document.getElementById("to_new_register").value=document.getElementById("reg").value;
        document.getElementById("clsbl").value= document.getElementById("mclbl").value;
        document.getElementById("blamt").value= document.getElementById("mblamt").value;
        document.getElementById("crlimit").value= document.getElementById("mcrlmt").value;
        document.getElementById("disclimit").value= document.getElementById("mdslmt").value;
        document.getElementById("dsbl").value= document.getElementById("mdsbl").value;
        document.getElementById("dsvn").value= document.getElementById("mdsbll").value;
		document.getElementById("disavlbl").value= document.getElementById("dscntvl").value;



    }
  }
xmlhttp.open("GET","showkhadireg.php?cname="+str,true);
xmlhttp.send();

}



function showinfo(str)
{
//var str="hello";


if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {

  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {

    document.getElementById("to_new_model").innerHTML=xmlhttp.responseText;
    var  mod= document.getElementById("mod").value;
    document.getElementById('to_new_model').value=mod;
    document.getElementById("chno").innerHTML=xmlhttp.responseText;
    var  chasis= document.getElementById("chasis").value;
    document.getElementById('chno').value=chasis;
    
    }
  }
xmlhttp.open("GET","showinfo.php?reg="+str,true);
xmlhttp.send();

}
</script>



<link type="text/css" href="includes/style1.css" rel="stylesheet" />
<link type="text/css" href="css/form1.css" rel="stylesheet" />
<SCRIPT LANGUAGE="JavaScript" SRC="util/PopupWindow.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/AnchorPosition.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/CalendarPopup.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/date.js"></SCRIPT>

<script type="text/javascript">
			/*$(function() {
		
                                    $.datepicker.setDefaults( $.datepicker.regional[ "" ] );
                				$('#invoice_date').datepicker({ dateFormat: 'yy/mm/dd' } );
				$( "#customization_date_format" ).change(function() {
					$( "#invoice_date" ).datepicker( "option", "dateFormat", $( this ).val() );
				});
				$('#payment_due_date').datepicker({ dateFormat: 'yy/mm/dd' } );
				$( "#customization_date_format" ).change(function() {
					$( "#payment_due_date" ).datepicker( "option", "dateFormat", $( this ).val() );
				});
			});*/
var cal2 = new CalendarPopup();
cal2.showYearNavigation();

var cal3 = new CalendarPopup();
cal3.showYearNavigation();

var cal4 = new CalendarPopup();
cal4.showYearNavigation();

</script>


<style>
.tble1 input {
background-color:transparent;
border: 0px solid;


color:black;
font-size: 12px;
}
.tble1
{

border:1px solid silver;
margin-top:20px;
font-family: Tahoma,Verdana,Geneva,sans-serif !important;
    font-size: 12px;
}
.trcls
{

background-color:#BDBDBD;
border:1px solid silver;

}	
.tble1 td, th
{
border-collapse:collapse;
border:1px solid silver;
}
.tble1 tr
{
height:30px;
}
#tbl1{
 //margin-top:40px;
min-width:65%;
 text-align:center;
}

#tbltd1{
vertical-align: top;
margin-top:20px;
font-family:calibri;
 height:400px;
background-color:white;
-moz-box-shadow: 0 0 5px -1px #000;
-webkit-box-shadow: 0 0 5px -1px #000;
box-shadow: 0 0 5px -1px #000;

}
#tbl1 td{
 //text-align:left;

}
#tbl2{
 margin:0px 20px 10px 20px;
 min-width:95%;
}
#conf_panel{  

        width:250px;
        margin-top:200px;
        position:fixed; 
        top: 1px;  
        left: 450px;  
        text_align:center;
        
        -moz-box-shadow: 0 0 2px 2px #888;
        -webkit-box-shadow: 0 0 2px 2px#888;
         box-shadow: 0 0 2px 2px #888;
     
        background-color: white;  
      
        color: black;  
        display: none; 
        border:1px solid #C2DFFF; 

    }  

.conf_tbl th{
  
    font-weight: bold;  
    color: white; 
    border:1px solid #D7D7D1;
    height:45px;
    border-collapse:collapse;

   

background: steelblue; /* Old browsers */
//background: -moz-linear-gradient(top, rgba(181,189,200,1) 0%, rgba(130,140,149,1) 36%, rgba(40,52,59,1) 100%); /* FF3.6+ */
//background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(181,189,200,1)), color-stop(36%,rgba(130,140,149,1)), //color-stop(100%,rgba(40,52,59,1))); /* Chrome,Safari4+ */
//background: -webkit-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Chrome10+,Safari5.1+ */
//background: -o-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Opera 11.10+ */
//background: -ms-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* IE10+ */
//background: linear-gradient(to bottom, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* W3C */
//filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */

 }




.conf_tbl td{

    height:32px;
    border: 1px solid #A9A9A9;
  
  //text-align:left;
    // font-size:4 px;  
    color: black; 
background: -moz-linear-gradient(top, rgba(246,248,249,1) 0%, rgba(229,235,238,0.94) 50%, rgba(215,222,227,0.94) 51%, rgba(233,237,240,0.91) 81%, rgba(245,247,249,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(246,248,249,1)), color-stop(50%,rgba(229,235,238,0.94)), color-stop(51%,rgba(215,222,227,0.94)), color-stop(81%,rgba(233,237,240,0.91)), color-stop(100%,rgba(245,247,249,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(246,248,249,1) 0%,rgba(229,235,238,0.94) 50%,rgba(215,222,227,0.94) 51%,rgba(233,237,240,0.91) 81%,rgba(245,247,249,1) 100%); /* W3C */
//filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f6f8f9', endColorstr='#f5f7f9',GradientType=0 ); /* IE6-9 */



 }

.conf_tbl input[type="text"]  {
   // padding: 0px 5px 0px 5px;
    border-style:none;
    border-color: white;//transparent;
    background-color: transparent;
   // font-size:12px;

}
.conf_tbl input[type="select"]  {
   // padding: 0px 5px 0px 5px;
    border-style:none;
    border-color: white;//transparent;
    background-color: transparent;
   // font-size:12px;
height:25px;
}

</style>
<script>

/** code below for drag the confirmation div */
window.onload = function(){
    //draggable('conf_panel');
};
window.onload = function(){
    //draggable('aditem_panel');
};
var dragObj = null;
function draggable(id)
{
    var obj = document.getElementById(id);
    obj.style.position = "absolute";
	
	//obj.style="left:300px;top:150px;"
    obj.onmousedown = function(){
            dragObj = obj;
    }
}

document.onmouseup = function(e){
    dragObj = null;
};

document.onmousemove = function(e){
    var x = e.pageX;
    var y = e.pageY;

    if(dragObj == null)
        return;

    dragObj.style.left = x +"px";
    dragObj.style.top= y +"px";
};
function showrebtvl(str)
    {
	if(str=='Yes')
            {
                document.getElementById("rbtvl").style.visibility = "visible";
            }
        else
            {
                document.getElementById("rbtvl").style.visibility ="hidden";
       
            }
   
 
}
function chkey(abc)
{
 yy=abc.value
 if(yy.length>35)
 { 
   alert('Name exeeds the limit');
   return;
 }

 if(yy.indexOf('  ')>-1) 
  {
    alert('Multiple space is not allowed');
    abc.value='';
  }
 if(yy.indexOf("'")>-1) 
  {
    alert("\' is not allowed");
    abc.value='';
  }
 if(yy.indexOf('"')>-1) 
  {
    alert("\" is not allowed");
    abc.value='';
  }

}
</script>



<?php


$pres=mysqli_query($db,"select max(orderno) from saleorder_spare where brcode='$brcode'");
if(mysqli_num_rows($pres)<1)
{
	$orderno='000001'; 
}
else
{
	$row=mysqli_fetch_array($pres);
       $orderno=substr($row[0],-6)+1;
	$orderno=substr('000000'.$orderno,-6);
	if($orderno==0)
	{
		$orderno='000001'; 
	}
	$orderno=$orderno; 
}

?>

<?php //include('includes/top.php'); ?>
<?php //include('help_window.php'); ?>
<div align='left'><font style="font-family: 'Trebuchet MS',Verdana,Helvetica,sans-serif; font-size:15px;">  &nbsp;&nbsp;Sale Order>>  Order</font></div>

<body style="background-image:url(images/bg.jpg);" onload="document.getElementById('to_new_customer').focus();if (document.invoice_form.RadioGroup1[0].checked == true) 
		{shortkey_tblopen();
  		}">
        
<div id="pop2" class="pop-up2" >

  <div class="popBox2">

    <div class="popScroll2" id='popScroll2' >

    </div>
 
  </div>


  <a href="#links" class="lightbox"></a>
</div>

         <table class='tbl1' id='tbl1'  align='center'>
		
		 <tr><td align='left' colspan='6'>
		<h1 style="font-size:20px;font-weight:bold;font-family:verdana;color:blue;margin:0px; padding:0px;">
		Sale Order</h1></td></tr>
		
		<tr>
<!--
                <td><a href='countersale_editinv1.php' style="text-decoration:none;"><input style="height:32px;width:110px;" value="Edit"  type="submit" ></a></td>

                <td><a href="#pop2" id="linkss" onclick='showHint1()' style="text-decoration:none;"><input value="Delete"  style="height:32px;width:110px;" type="submit" ></a></td>
			-->
		
		<td><input style="height:32px;width:110px;" type="button" onclick="myFunction()" value="Reset"></td>
		 <td><a href="#login-box" class="login-window" style="text-decoration:none;"> <input style="height:32px;width:110px;" value="Save" type="button" id='svbttn'></a></td>

           </tr>
	
<tr><td id='tbltd1' colspan='7'>

<div id="conf_panel" class="alist" style="display:none;position: absolute;">
 
   <form name='form2'>
  <table  border='1' class='conf_tbl' style="border_collpase:collapse;background-color:white;  " width='100%'>
  
 	  <tr><th colspan=2>Add Credit Card Details &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" value='X' id='close'  onclick='close_div();'/></th></tr>

  	  <tr> <td> Credit Card No:</td> <td><input type='text' name='jobno' value='<? echo $jcno;?>' size=8/></td></tr>
	  <tr>  <td>Expiry Date: </td><td><input type="text" id="d1" name="d1"  size=1 >
                                     <input type="text" id="d2" name="d2"  size=1 >
                                     <input type="text" id="d3" name="d3"  size=2 >
        </td></tr>
	<tr>  <td>Credit Card Limit: </td><td> <input type='text' name='outstanding' id='outstanding' value='<? echo $outstanding; ?>' size=8 readonly/>
                                           <input type='hidden' name='tot' id='tot_val' value='<? echo $tot_payment; ?>' size=8 readonly/> </td></tr>
 	  <tr>  <td>Amt: </td><td> <input type='text' name='down_amt' value='<? echo $adv; ?>' size=8 readonly/> </td></tr>


 	 <tr>  <td>Date: </td><td><input type="text" id="d1" value="<?echo date('d');?>"  name="d1"  size=1 >
                                     <input type="text" id="d2" value="<?echo date('m');?>"  name="d2"  size=1 >
                                     <input type="text" id="d3" value="<?echo date('Y');?>"  name="d3"  size=2 >
        </td></tr>

        <tr>  <td colspan=2>With A/c :<input type='radio' name='flag' id='with' value='yes' checked /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Without A/c:<input type='radio' name='flag' value='no' id='without'/> </td></tr>
  	 <tr>  <th colspan=2><input type='button' name='add_amt' value='Save' onclick="upd_down_amt('<? echo $jcno;?>' )"/> </td></tr>
	 

  
  </table>
 </form>

</div>


<div>
 <fieldset style="border:2px solid grey; border-style:dotted;">
            <legend style="text-align:center;">Sale Order</legend>
 <form id="jforms" name="invoice_form" >
<input type='hidden' name='updprint' id='upd_flag' value='2'>
    <table class='tbl2' id='tbl2' >

			
<tr>
<td align='left' style="width:110px;">
Customer name</td>
<td >
<?
$brres=mysqli_query($db,"select acname,code from customer where brcode='$brcode' order by acname");
print "<select name='cus' onChange=getmsno()><option></option>";
$i=1;
 while($brrow=mysqli_fetch_array($brres))
 {
   print "\n<option value='$brrow[0]'>$brrow[0]</option>";
   $mres=mysqli_query($db,"select msno from minput where cust='$brrow[1]'");
   if(mysqli_num_rows($mres)>0)
   {
    $ms='';
   while($mrow=mysqli_fetch_array($mres))
   {
      $ms=$ms.' '.$mrow[0].',';
   }
$ms= substr($ms,0,strlen($ms)-1);
     print "\n <script> msn[$i]='$ms'; </script>";
	$i++;

   }
   else
   {
     print "\n <script> msn[$i]='-'; </script>";
	$i++;
   }
  
 }
$brres1=mysqli_query($db,"select distinct code,supname from sup_master where brcode='$brcode' order by supname");
 while($brrow1=mysqli_fetch_array($brres1))
 {
   print "\n<option value='$brrow1[0]'>$brrow1[1]</option>";
 }

print "</select>";
?>
 
    
 </td>
<td >
    <div id="baldiv"><input type="text" name="clsbl" id="clsbl" readonly style='outline:none;border:1px solid grey; border-style:dotted; width:141px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;visibility:hidden;background-color: bisque;'><input type="text" name="blamt" id="blamt" style='outline:none;border:1px solid grey; border-style:dotted; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;visibility:hidden;background-color: bisque;' readonly></div>
  </td>                    
<td style="text-align:right;">
 Sale Order No # 
   <input id="invoice_number" name='orderno' style="outline:none;border:1px solid grey; border-style:dotted; width:141px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;"   value="<? echo $orderno;?>" type="text" readonly onKeydown="return handleEnter(this, event)">

</td></tr>
<tr><td align='left'>               
    msno </td>
<td id="to_new_registerTD">       
      <input  name='msno' style="outline:none;border:1px solid grey; border-style:dotted; width:150px; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:black;" placeholder="msno" type="text" >
             
</td><td >   

   </td>
  <td style="text-align:right;" >     Sale Order Date           
<input  name="invdt" style="width:141px;outline:none;border:1px solid grey; border-style:dotted; cursor:pointer;background: url(img/cal.gif) 120px 2px no-repeat; padding-left:7px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;"   readonly  type=text  value="<? echo date('Y-m-d'); ?>" >
<A HREF="#"  TITLE="Click for Calander" NAME="anchor1" ID="anchor1"></A>

  </td></tr>

<tr>

<td >
  </td>   

 </tr>




<tr><td align='left'>
</td>
<td>
</td>
<td >
  </td>
 </tr>


 <tr><td colspan='4'>      
<input type="button" id='insrowbttn' onclick="insRow(event,this,this.id)" style="color:#6B6B6B;font-weight:bold;font-size:15px;" value="+">
<br>
<table border=1 id="myTable" class='tble1' width=100%>
<tr class='trcls'><td>No.</td><td>Part Code</td><td>Part Name</td><td>Qty</td><td>Unit Price</td><td>Total</td><td>Net Amount</td><td>Del</td></tr>
</table>

<script>
var cnt=1;
</script>

<div id="livesearch" style="display: inline-block;"></div>


<input type='hidden' name='brcode' id='brcode' value='<? print $brcode;?>'>
<input type='hidden' name='curqty' id='curqty' value='0'>
<input type='hidden' name='prtname' id='prtname' value='0'>
<input type='hidden' name='savecount' id='savecount' value='0'>
<div id='txtHint'></div>
<div id='partvalid'></div>

<div id="view" class="login-popup">

</div>


 <div id="login-box" class="login-popup">
        <a href="#" class="close"><img src="images/close_pop.png" class="btn_close" title="Close Window" alt="Close" /></a>
          <div id='msgbox'></div>
		</div>
</td></tr>
   
<tr><td colspan='2' style="text-align:right;">
                      
                    Total
                <input  style="border:0px solid white;text-align:right; width:100px; padding-right:5px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;" readonly="readonly" name="spare_total" id="spare_total" value="0.00" type="text">
</td></tr>

<tr><td colspan='2' style="text-align:right;">                  
              Net Total
                <input onclick="alert('The total is calculated automatically as soon as you have entered something into both the unit price and the quantity field in the lines above.\n\nExample: If you wish to invoice a service for 100.00, you should enter 100.00 in the unit price field and 1.00 in the quantity field.')" style="border:0px solid white;text-align:right; width:100px; padding-right:5px; font-weight:normal; font-family:verdana;font-size:13px;color:#3c3c3c;" readonly="readonly" name="sum_total" id="sum_total" value="0.00" type="text">

</td></tr>

<tr><td colspan='4'><hr></hr></td></tr>
<tr><td></td><td></td><td style="text-align:right;">

 </form>
   </td></tr>
</table>
   
</fieldset> 
</div>
</td></tr></table>
		

</body></html>
<script type="text/javascript">
function showitmtype(str,r,itid)
{
	var i=r.parentNode.parentNode.rowIndex;
   	var tbl = document.getElementById('myTable');
   	var id1=tbl.rows[i].cells[0].innerHTML;
	var stvl;
	stvl=document.getElementById("itmvl"+id1).value;	
	

	if(str=='D')
		{
 			
			document.getElementById("itmvl"+id1).readOnly = false;
  			document.getElementById("itmvl"+id1).focus();
		}
    	else 
		{	
			document.getElementById("itmvl"+id1).readOnly = true;
			document.getElementById("itmvl"+id1).value=0;
			document.getElementById("qty"+id1).focus();       
		}
		
	if(document.getElementById("ptype").value=='3')
		{

 			document.getElementById("stfdisc"+id1).style.visibility = "visible";
                        document.getElementById("stfdiscvl"+id1).style.visibility = "visible";
			
			
  		}
	else
		{
			document.getElementById("stfdisc"+id1).style.visibility = "hidden";
                        document.getElementById("stfdiscvl"+id1).style.visibility = "hidden";
			
		} 
}
 function downpayment(){

    var e = document.getElementById('conf_panel');
    if(e.style.display == 'block') {
        e.style.display = 'none';
    } else {
        e.style.display = 'block';
    }
 }
function close_div(){
   var list = document.getElementsByClassName("alist");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('conf_panel');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }
function itemclose_div(){
   var list = document.getElementsByClassName("itemalist");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('aditem_panel');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }
 function custclose_div(){
   var list = document.getElementsByClassName("itemalist");
             for (var i = 0; i < list.length; i++) {
               list[i].style.display = 'none';
             }
    		var e = document.getElementById('adcust_panel');
   		 if(e.style.display == 'block') {
       		 e.style.display = 'none';
   		 } else {
        	e.style.display = 'none';
              }

 }
function upd_down_amt(jcno){

   if (document.getElementById('with').checked) {
               flag = document.getElementById('with').value;
    }

   if (document.getElementById('without').checked) {
               flag = document.getElementById('without').value;
    }

    var dt1= document.getElementById('d1').value;
    
    var dt2= document.getElementById('d2').value;

    var dt3= document.getElementById('d3').value;

    var dpr_dt=dt3+'-'+dt2+'-'+dt1;

    var down_amt= document.getElementById('down_amt').value;

    var outstanding= document.getElementById('outstanding').value;

    var job_amt= document.getElementById('tot_val').value;

    var rem=outstanding-down_amt;

    if(isNaN(down_amt)){
    
      alert('Invalid Amount');

      document.getElementById('down_amt').value=0;
   
      document.getElementById('down_amt').focus();

      return false;
    }

    /*  if((rem<0)&&(job_amt>0)){
    
      alert('Amount Not Matching');

      document.getElementById('down_amt').value=0;
   
      document.getElementById('down_amt').focus();

      return false;
    } 

   else
    { */

   	 document.getElementById('conf_panel').innerHTML="Loading...";

 	 if (window.XMLHttpRequest)
  		{// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
 		 }
		else
 		 {// code for IE6, IE5
  			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  		}
		xmlhttp.onreadystatechange=function()
  		{
  	 		if (xmlhttp.readyState==4 && xmlhttp.status==200)
    	 		{
            			document.getElementById('conf_panel').innerHTML=xmlhttp.responseText;

             			var input = document.getElementById ("myTable");
             			input.style.filter = 'alpha(opacity=' + 20 + ')';


         
        		}

      		}
    
   xmlhttp.open("GET","ajaxupd_down_amt.php?jcno="+jcno+"&& flg="+flag+"&& amt="+down_amt+"&&dpr_dt="+dpr_dt,true);
 xmlhttp.send(); 

  //}//else close

 }//function close
function upd_down_item()
	{
		var pacode=document.getElementById('itcode').value;
		var ppnm=document.getElementById('inam').value;
		var gpgp=document.getElementById('grp').value;
		var sbg=document.getElementById('response').value;
		var but=document.getElementById('bnit').value;
		var rbll=document.getElementById('rbl').value;
		var rbvll=document.getElementById('rbtvl').value;
		var redu=document.getElementById('reduction').value;
		var loc=document.getElementById('location').value;
		var ope=document.getElementById('opening').value;
		var pprt=document.getElementById('prt').value;
		var ssrt=document.getElementById('srt').value;
   	 document.getElementById('aditem_panel').innerHTML="Loading...";

 	 if (window.XMLHttpRequest)
  		{// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
 		 }
		else
 		 {// code for IE6, IE5
  			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  		}
		xmlhttp.onreadystatechange=function()
  		{
  	 		if (xmlhttp.readyState==4 && xmlhttp.status==200)
    	 		{
            			document.getElementById('aditem_panel').innerHTML=xmlhttp.responseText;

             			var input = document.getElementById ("myTable");
             			input.style.filter = 'alpha(opacity=' + 20 + ')';
        		}
      		}

//var url="ajaxupd_down_itm.php?itemcd="+pacode+"&&itemname="+ppnm+"&&grp="+gpgp+"&&subgrp="+sbg+"&&bunit="+but+"&&rebtbl="+rbll+"&&rbtvl="+rbvll+"&&reduction="+redu+"&&location="+loc+"&&opening="+ope+"&&prate="+pprt+"&&srate="+ssrt;

//alert(url);

xmlhttp.open("GET","ajaxupd_down_itm.php?itemcd="+pacode+"&&itemname="+ppnm+"&&grp="+gpgp+"&&subgrp="+sbg+"&&bunit="+but+"&&rebtbl="+rbll+"&&rbtvl="+rbvll+"&&reduction="+redu+"&&location="+loc+"&&opening="+ope+"&&prate="+pprt+"&&srate="+ssrt,true);
 xmlhttp.send(); 

  //}//else close

 }//function close
function upd_down_cust()
	{
		var pacode=document.getElementById('cunm').value;
		var ppnm=document.getElementById('crpo').value;
		var gpgp=document.getElementById('custy').value;
		var sbg=document.getElementById('add1').value;
		var but=document.getElementById('add2').value;
		var rbll=document.getElementById('add3').value;
		var rbvll=document.getElementById('dist').value;
		var redu=document.getElementById('stat').value;
		var loc=document.getElementById('pinn').value;
		var ope=document.getElementById('pho').value;
		var pprt=document.getElementById('emid').value;
		var ssrt=document.getElementById('tinn').value;
		var ccstn=document.getElementById('cstn').value;
		var kgstt=document.getElementById('kgstn').value;
   	 document.getElementById('adcust_panel').innerHTML="Loading...";

 	 if (window.XMLHttpRequest)
  		{// code for IE7+, Firefox, Chrome, Opera, Safari
  		xmlhttp=new XMLHttpRequest();
 		 }
		else
 		 {// code for IE6, IE5
  			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  		}
		xmlhttp.onreadystatechange=function()
  		{
  	 		if (xmlhttp.readyState==4 && xmlhttp.status==200)
    	 		{
            			document.getElementById('adcust_panel').innerHTML=xmlhttp.responseText;
                                    alert(xmlhttp.responseText);
             			var input = document.getElementById ("myTable");
             			input.style.filter = 'alpha(opacity=' + 20 + ')';
        		}
      		}

xmlhttp.open("GET","ajaxupd_down_cust.php?cname="+pacode+"&&corp="+ppnm+"&&addr1="+sbg+"&&addr2="+but+"&&addr3="+rbll+"&&district="+rbvll+"&&state="+redu+"&&pin1="+loc+"&&phone1="+ope+"&&email="+pprt+"&&tin="+ssrt+"&&cst="+ccstn+"&&kgst="+kgstt,true);
 xmlhttp.send(); 

  //}//else close

 }//function close

function downpayment1(str)
{
if(document.getElementById("pmode").value=='CREDITCARD')
{
downpayment();
}
}

function aditem(str)
{


    var e = document.getElementById('aditem_panel');
    if(e.style.display == 'block') {
        e.style.display = 'none';
    } else {
        e.style.display = 'block';
    }
 
}
function adcust(str)
{


    var e = document.getElementById('adcust_panel');
    if(e.style.display == 'block') {
        e.style.display = 'none';
    } else {
        e.style.display = 'block';
    }
 
}
</script>
<script type="text/javascript">
 function delfun(x)
 {
 	if (confirm('do you want to delete '+x+' ?'))
		{
			document.location='delcountersale.php?code='+x;
		}
 
 }
  
</script>
<script type="text/javascript">
$(document).ready(function(){

    $("select.grp").change(function(){

        var selectedGrp = $(".grp option:selected").val();

        $.ajax({

            type: "POST",

            url: "selectsubgrp.php",

            data: { grp : selectedGrp } 

        }).done(function(data){

            $("#response").html(data);

        });

    });

});


</script>
<script type="text/javascript">
function chkthis(str)
{

if(document.form3.itcode.value!='')
{
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
  
  
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
        document.getElementById("strtxt").innerHTML=xmlhttp.responseText;

  //document.f1.batta.value=document.getElementById("bat1").value;
  
  var dupvl=document.getElementById("dupitm").value;
  if(dupvl==1)
      {
          alert('ItemCode already exists!');
          document.form3.itcode.focus();
          document.form3.itcode.value='';
            return false;
      }

    }
  }

xmlhttp.open("GET","chkitm.php?itcd="+str,true);
xmlhttp.send();

}

}
</script>
